Race condition in Sudo



Published: 2017-10-10 | Updated: 2020-08-08
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2015-8239
CWE-ID CWE-362
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
Sudo
Client/Desktop applications / Software for system administration

Vendor Sudo

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) Race condition

EUVDB-ID: #VU38129

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2015-8239

CWE-ID: CWE-362 - Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition')

Exploit availability: No

Description

The vulnerability allows a local authenticated user to execute arbitrary code.

The SHA-2 digest support in the sudoers plugin in sudo after 1.8.7 allows local users with write permissions to parts of the called command to replace them before it is executed.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Sudo: 1.8.8 - 1.8.15


CPE2.3 External links

http://www.openwall.com/lists/oss-security/2015/11/18/22
http://bugzilla.redhat.com/show_bug.cgi?id=1283635
http://www.sudo.ws/repos/sudo/rev/0cd3cc8fa195
http://www.sudo.ws/repos/sudo/rev/24a3d9215c64
http://www.sudo.ws/repos/sudo/rev/397722cdd7ec

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###